Bug 169593 - multiple networks broadcast by the same radios appear as multiple instances of the same network
multiple networks broadcast by the same radios appear as multiple instances o...
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Depends On:
  Show dependency treegraph
Reported: 2005-09-29 21:01 EDT by Myk Melez
Modified: 2008-02-11 22:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-11 22:09:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Myk Melez 2005-09-29 21:01:44 EDT
I just installed a wireless network into my employer's new offices.  I used a
3com WX1200 wireless controller with six 3com 2750 managed wireless access
points.  The 2750s are capable of broadcasting up to 32 unique SSIDs each, and I
have them all broadcasting three SSIDs, AirFooPublic, AirFoo, and AirFooPrivate
(where Foo is actually the name of my employer).

In NetworkManagerInfo's list of access points, however, these three networks
usually appear as three separate instances of "AirFoo".  Connecting to the first
"AirFoo" in the list succeeds, but trying to connect to the second and third
"AirFoo" in the list of wireless networks fails, even though I should have
access to both AirFoo and AirFooPublic via NetworkManager (AirFooPrivate is
WPA-encrypted, so I shouldn't have access to it via NetworkManager).

After connecting, I can confirm that I am indeed connected to the actual
"AirFoo" and not either of the other two networks.

If I shut down the NetworkManager and network services via "service <service
name> stop", remove the ipw2200 and ieee80211 modules from the kernel via
"modprobe -r", and then add those modules back into the kernel and turn the
services back on, the networks appear correctly in NetworkManagerInfo's list for
a short time (in order from top to bottom AirFooPrivate, AirFooPublic, AirFoo),
but then they revert to the buggy behavior.  I'm not sure how long it takes for
them to revert or what causes them to do so.

I'm using NetworkManager 0.4 release 20.FC4.1 with ipw2220 1.0.6, ieee80211
1.0.3, and ipw2200 firmware 2.3.
Comment 1 Myk Melez 2005-10-19 22:32:40 EDT
This problem may be fixed in NM 0.5.0.  I've just started using it recently, but
so far it displays all three networks correctly.
Comment 2 Christian Iseli 2007-01-22 05:32:36 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Comment 3 Dan Williams 2008-02-11 22:09:03 EST
Should be fixed for a while now.

Note You need to log in before you can comment on or make changes to this bug.